# $Revision: 1.132 $, $Date: 2006/08/19 02:34:14 $
#
# Conditional build:
%bcond_without	x11		# without X11-based utilities
#
Summary:	Daemon and utilities for using PCMCIA adapters
Summary(es):	Demonio y herramientas para usar adaptadores PCMCIA
Summary(pl):	Obsuga kart PCMCIA
Summary(ru):	     PCMCIA-
Summary(uk):	  ̦   PCMCIA-
Name:		pcmcia-cs
Version:	3.2.8
Release:	7
License:	MPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/pcmcia-cs/%{name}-%{version}.tar.gz
# Source0-md5:	0d6d65be8896eff081aee996049afaa5
Source1:	%{name}-network.script
Source2:	pcmcia.sysconfig
Source3:	pcmcia.init
Patch0:		%{name}-path.patch
Patch1:		%{name}-LDFLAGS.patch
Patch2:		%{name}-llh.patch
Patch3:		%{name}-man.patch
Patch4:		%{name}-realtek_cb-support.patch
Patch5:		%{name}-major.patch
Patch6:		%{name}-original-config.patch
Patch7:		%{name}-build.patch
URL:		http://pcmcia-cs.sourceforge.net/
%{?with_x11:BuildRequires:	gtk+2-devel}
%{?with_x11:BuildRequires:	pkgconfig}
BuildRequires:	rpmbuild(macros) >= 1.118
%{?with_x11:BuildRequires:	xforms-devel}
Requires(post,preun):	/sbin/chkconfig
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/
%define		_mandir		/usr/share/man

%description
The pcmcia-cs package adds PCMCIA cards handling support for your
PLD-Linux system and contains of a card manager daemon and some
utilities. PCMCIA daemon can respond to card insertion and removal
events by loading and unloading proper drivers on demand (with hot
swap support), so that the cards can be safely inserted and ejected at
any time. This package does not contain kernel modules (ie. socket and
card drivers) that come with another package that must be installed
for full PCMCIA support. If you own a laptop or your system uses
PCMCIA cards this package is a must.

%description -l es
El paquete pcmcia-cs aade el soporte de tarjetas PCMCIA a su sistema
PLD-Linux y consiste de un demonio de manejador de tarjetas y unas
herramientas. El demonio PCMCIA responde a los eventos de insercin y
extraccin cargando y descargando los drivers adecuados (con soporte
de "hot swap") as, que las tarjetas se pueden insertar y extraer en
cualquier momento. Este paquete no contiene mdulos de ncleo, los que
estn incluidos en otro paquete que tiene que estar instalado para
obtener soporte completo de PCMCIA. Si posee un porttil o su sistema
usa tarjetas PCMCIA, este paquete ser indispensable.

%description -l pl
Pakiet pcmcia-cs zawiera programy wspierajce obsug kart PCMCIA w
Twoim PLD-Linuksie. Skada si on z demona oraz kilku programw
narzdziowych. Demon ten potrafi reagowa na wkadanie i wyjmowanie
kart PCMCIA, dodajc i usuwajc odpowiednie drivery (moduy kernela),
tak i karty mog by wkadane i wyjmowane w dowolnym momencie. Moduy
kernela obsugujce sloty kart i same karty zawarte s w innych
pakietach, ktre musz by zainstalowane aby mc korzysta z kart.
Jeli posiadasz laptopa albo te Twj system wykorzystuje karty
PCMCIA, ten pakiet bdzie Ci niezbdny.

%description -l ru
 ,       
 PCMCIA-.    "credit card adapters",
PCMCIA- -   ,  ,  , 
 SCSI  .    ,   
     .  
   PCMCIA-   
,        " ".

%description -l uk
 Ц, ˦    Ц  
 PCMCIA-. ͦ   "credit card adapters",
PCMCIA- -  ˦ ,  ͦ  , צ
Ц SCSI  ͦ.   Φ ,   
ЦΦ  צΦ   .   ͦ
Ц ҦΦ PCMCIA- Ӧ Ħ  ,  Ѥ
Ц  צ ˦  " ".

%package pnp
Summary:	PNP tools from pcmcia-cs package
Summary(pl):	Narzdzia PNP z pakietu pcmcia-cs
Group:		Applications/System

%description pnp
PNP tools from pcmcia-cs package.

%description pnp -l pl
Narzdzia PNP z pakietu pcmcia-cs.

%package X11
Summary:	X11 Status Monitor
Summary(es):	Monitor del estado para X11
Summary(pl):	Monitor dla X11
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	pcmcia-cs-cardinfo

%description X11
X11 Monitor for PCMCIA.

%description X11 -l es
Monitador de PCMCIA para X11.

%description X11 -l pl
Monitorowanie PCMCIA pod X Window.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
chmod -R u+rwX .
cat <<EOF > config.mk
LINUX=/usr
PREFIX=%{_prefix}
UCC=%{__cc}
LD=ld
UFLAGS=
CPPFLAGS=-I../include
SYSV_INIT=y
RC_DIR=/etc/rc.d
MANDIR=%{_mandir}
%if %{with x11}
GTK_CFLAGS=`pkg-config --cflags gtk+-2.0`
GTK_LIBS=`pkg-config --libs gtk+-2.0`
FLIBS=-L/usr/X11R6/%{_lib} -lforms -lm
HAS_XAW=y
HAS_GTK=y
HAS_FORMS=y
%endif
CONFIG_INET=y
CONFIG_PCI=y
CONFIG_PNP_BIOS=y
CONFIG_SCSI=y
DO_IDE=y
%ifnarch ppc
CONFIG_ISA=y
%endif
EOF
ln -s config.mk config.out

cat <<EOF > include/pcmcia/config.h
#ifndef _PCMCIA_CONFIG_H
#define _PCMCIA_CONFIG_H
#define AUTOCONF_INCLUDED
#define __IN_PCMCIA_PACKAGE__
#define LINUX "/usr/include"
#define PREFIX ""
#define KCC "%{__cc}"
#define UCC "%{__cc}"
#define LD "ld"
#define UFLAGS ""
#define SYSV_INIT 1
#define RC_DIR "%{_sysconfdir}/rc.d"
#define MANDIR "%{_mandir}"
#endif /* _PCMCIA_CONFIG_H */
EOF

%{__make} all \
	CFLAGS="%{rpmcflags} -Wall -Wstrict-prototypes -pipe" \
	LDFLAGS="%{rpmldflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/sysconfig,/var/lib/pcmcia,%{_bindir},/usr/bin}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

%if %{with x11}
mv -f $RPM_BUILD_ROOT/usr/X11R6/bin/{,x}cardinfo $RPM_BUILD_ROOT/usr/bin
%endif

# The files that we don't want installed
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/rc.pcmcia
%ifarch %{ix86}
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/config.orig
%endif

# Install our own network up/down script
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/network $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/network.orig
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/network
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/pcmcia
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/pcmcia

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pcmcia
if [ -f /var/lock/subsys/pcmcia ]; then
	echo "You may run \"/etc/rc.d/init.d/pcmcia restart\" to restart with new version"
	echo "of pcmcia cardbus daemon. Note that if you changed your kernel, restarting"
	echo "pcmcia subsystem may cause problems if not rebooted before."
else
	echo "Run \"/etc/rc.d/init.d/pcmcia start\" to start pcmcia cardbus daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/state/run/pcmcia ]; then
		/etc/rc.d/init.d/pcmcia stop 2> /dev/null
	fi
	/sbin/chkconfig --del pcmcia
fi

%files
%defattr(644,root,root,755)
%doc SUPPORTED.CARDS CHANGES COPYING README{,-2.4}
%doc LICENSE doc/PCMCIA-HOWTO doc/PCMCIA-PROG
%dir /var/lib/pcmcia
%attr(755,root,root) /sbin/*
%exclude /sbin/lspnp
%exclude /sbin/setpnp
%attr(754,root,root) /etc/rc.d/init.d/pcmcia
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/pcmcia
%dir %{_sysconfdir}/pcmcia
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pcmcia/*.opts
%attr(754,root,root) %{_sysconfdir}/pcmcia/ftl
%attr(754,root,root) %{_sysconfdir}/pcmcia/ide
%attr(754,root,root) %{_sysconfdir}/pcmcia/ieee1394
%attr(754,root,root) %{_sysconfdir}/pcmcia/memory
%attr(754,root,root) %{_sysconfdir}/pcmcia/network
%attr(754,root,root) %{_sysconfdir}/pcmcia/parport
%attr(754,root,root) %{_sysconfdir}/pcmcia/scsi
%attr(754,root,root) %{_sysconfdir}/pcmcia/serial
%attr(754,root,root) %{_sysconfdir}/pcmcia/wireless
%{_sysconfdir}/pcmcia/cis
%{_sysconfdir}/pcmcia/config
%{_sysconfdir}/pcmcia/network.orig
%{_sysconfdir}/pcmcia/shared
%{_mandir}/man*/*
%exclude %{_mandir}/man8/lspnp.8*
%exclude %{_mandir}/man8/setpnp.8*

%files pnp
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/lspnp
%attr(755,root,root) /sbin/setpnp
%{_mandir}/man8/lspnp.8*
%{_mandir}/man8/setpnp.8*

%if %{with x11}
%files X11
%defattr(644,root,root,755)
%attr(755,root,root) /usr/bin/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcmcia-cs.spec,v $
Revision 1.132  2006/08/19 02:34:14  havner
- rel 7

Revision 1.131  2006/08/15 17:47:49  havner
- fixed changelog

Revision 1.130  2006/08/14 22:04:08  havner
- build with pnp and dump_cardbus
- subpackage for pnp as doesn't require pcmcia-cs (those utils work with
  pnpbioses <apm on/acpi off>)

Revision 1.129  2005/12/13 14:37:23  glen
- adapterized (sorted %verify flags)

Revision 1.128  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.127  2005/03/18 13:41:29  darekr
- missing dir

Revision 1.126  2004/12/22 09:36:45  krzak
- rel. 6
- PCIC=yenta_socket by default

Revision 1.125  2004/12/06 01:02:10  havner
- rel 5

Revision 1.124  2004/12/06 01:00:47  havner
- no ISA on ppc

Revision 1.123  2004/12/06 00:32:43  havner
- mans now in /usr

Revision 1.122  2004/10/28 14:56:47  havner
- reverted

Revision 1.121  2004/10/28 14:02:50  havner
- no x11 on ppc

Revision 1.120  2004/10/28 13:32:59  areq
- fix without x11

Revision 1.119  2004/10/23 18:52:32  tommat
- removed dependiency from libstdc++
- fixed without x11 bcond
- rel 4, STBR

Revision 1.118  2004/10/23 15:37:44  qboosh
- proper lib paths

Revision 1.117  2004/10/23 15:11:54  tommat
- X tools added

Revision 1.116  2004/10/22 16:23:37  tommat
- tools added

Revision 1.115  2004/09/18 18:24:01  havner
- rel 3

Revision 1.114  2004/09/18 14:21:25  havner
- removed amd64 patch

Revision 1.113  2004/09/18 13:38:31  havner
- typo

Revision 1.112  2004/09/18 13:34:58  havner
- amd64 patch

Revision 1.111  2004/09/17 21:58:24  havner
- rel 2

Revision 1.110  2004/09/17 21:55:56  arekm
- chmod u+w

Revision 1.109  2004/08/20 06:35:51  qboosh
- cleanup, -X11 Obsoletes: -cardinfo

Revision 1.108  2004/08/17 21:44:54  arekm
- update to 3.2.8
- drop kernel modules stuff (it's obsolete anyway, if you need it then use older spec version)
- run pcmcia before network and stop it after network
- pcmcia.network script does nothing if network is not running
- drop various X11 packages, leave one generic using Xaw libs

Revision 1.107  2004/02/22 17:19:55  areq
- add lh.patch (remove pcmcia/config.h)

Revision 1.106  2004/01/27 21:56:28  saq
- original-config.patch: use <linux/config.h> from the sources to avoid
  undefined CONFIG_NR_CPUS
- put X binaries in %%{_bindir}
- release 2
- STBR --with old_kernel for kernel-source-2.4.24-0.3

Revision 1.105  2004/01/02 17:43:02  arekm
- updated to 3.2.7; added bcond that allows to build pcmcia-cs kernel modules (not needed on 2.6)

Revision 1.104  2003/12/08 21:11:57  arekm
- remove patch9

Revision 1.103  2003/12/08 21:11:02  arekm
- updated to 3.2.6

Revision 1.102  2003/11/21 23:24:35  saq
- use GTK+-2, not -1
- STBR for Ac

Revision 1.101  2003/10/24 17:41:12  saq
- various fixes in building the X11 utilities
- new bcond: --without xforms
- missing es translations
- release 1, STBR for Ac

Revision 1.100  2003/10/18 17:43:23  saq
- seperate the basic modules out of the -wavelan2 subpackage
- build seperate SMP/UP modules (--without'able)
- use kernel(pcmcia)
- new bcond mechanism
- minor cleanups
- release 0.3

Revision 1.99  2003/10/17 20:10:58  saq
- Configure --force instead of forcebuild.patch (which doesn't work anyway)
- organized the unpackaged files (packaged one, rm'ed -f the others)

Revision 1.98  2003/10/17 18:52:45  saq
- ...-major.patch: compilation fix (include linux/major.h where necessary)

Revision 1.97  2003/10/15 10:13:46  pbern
- rel 0.2
- force build
- disable cs89x0
- add conflict with kernel-pcmcia
- please RENAME kernel-pcmcia-cs to kernel-pcmcia !!!

Revision 1.96  2003/09/11 09:41:58  ankry
- md5

Revision 1.95  2003/09/10 22:55:40  pbern
- start update to 3.2.5

Revision 1.94  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.93  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.92  2003/07/10 13:53:45  trojan
- added using depmod macro

Revision 1.91  2003/06/28 09:01:38  blues
- cosmetics

Revision 1.90  2003/05/28 13:00:16  malekith
- massive attack: source-md5

Revision 1.89  2003/05/26 16:25:39  malekith
- massive attack: adding Source-md5

Revision 1.88  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.87  2003/05/22 23:26:11  malekith
- added --without x bcond

Revision 1.86  2003/05/16 08:53:05  trojan
- fixed depmod in %%post and %%postun when build with _without_dist_kernel

Revision 1.85  2003/05/14 14:42:44  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.84  2003/04/04 18:04:52  misiek
- updated to 3.2.4

Revision 1.83  2003/03/30 20:37:53  alchemyx
- added patch allowing monitor mode on Orinoco based wireless cards

Revision 1.82  2003/02/11 15:15:48  misiek
- merged from DEVEL

Revision 1.68.2.4  2003/02/11 12:22:05  misiek
- updated to 3.2.3; note that there is problem with s89x0_cs.tar.gz

Revision 1.68.2.3  2002/12/14 10:31:20  martii
- rel 8
(needs a merge to HEAD)

Revision 1.68.2.2  2002/08/13 10:57:44  misiek
- make config noreplace(d)

Revision 1.68.2.1  2002/08/08 20:45:37  misiek
- updated to 3.2.0

Revision 1.68  2002/07/03 09:24:05  wolf
- spelling

Revision 1.67  2002/06/11 12:55:03  baseciq
- removed Requires for kernel-pcmcia-cs (we don't have this package)
- new %doc
- rel 7

Revision 1.66  2002/05/24 19:35:39  kloczek
- fixes in uk, ru %description

Revision 1.65  2002/05/24 19:33:39  kloczek
- merge translations from KSI.

Revision 1.64  2002/05/24 19:25:01  mkochano
- Release 6.
- Added PRISM2 patch.

Revision 1.63  2002/05/16 14:32:52  misiek
- fixed non x86

Revision 1.62  2002/05/16 13:58:47  misiek
- added wavelan2 driver

Revision 1.61  2002/05/16 08:55:41  mkochano
- Release 4.
- Added README-2.4.

Revision 1.60  2002/05/08 19:26:33  cieciwa
- release 3,
- added requires from kernel-pcmcia-cs.

Revision 1.59  2002/03/20 02:02:06  kloczek
- release 2.

Revision 1.58  2002/03/18 20:17:23  malekith
- pnp.ids is absent on ppc

Revision 1.57  2002/03/16 12:27:45  malekith
- LDFLAGS patch to pass LDFLAGS correctly

Revision 1.56  2002/03/15 14:39:15  malekith
- dropped BOOT
- pass %%{__cc} down to Configure
- Br: modutils

Revision 1.55  2002/02/22 23:29:23  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/02/18 16:40:10  gotar
- added/fixed polish %descriptions.

Revision 1.53  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.52  2001/12/08 16:24:26  dzimi
- disable manfid_0175.patch, do we need it ?

Revision 1.51  2001/12/08 16:20:01  dzimi
- update to 3.1.30 version

Revision 1.50  2001/10/04 11:04:19  zagrodzki
- added manfid_0175 patch (ActionTec DataLink 56k is misidentified as NSC
  Modem/Ethernet card)

Revision 1.49  2001/09/26 14:16:50  ankry
- updated source URL
- changed version to 3.1.29

Revision 1.48  2001/08/19 21:11:45  kloczek
- updated to 3.1.28,
- spec adapterized.

Revision 1.47  2001/08/19 20:27:46  saq
- use %%_kernelsrcdir

Revision 1.46  2001/07/30 08:40:54  klakier
- finally linked cardmgr against uClibc in BOOT

Revision 1.45  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.43  2001/07/23 13:10:00  klakier
- added BuildRequires for BOOT

Revision 1.42  2001/07/23 13:08:43  klakier
- added cardctl to boot

Revision 1.41  2001/07/19 15:15:42  klakier
- added -BOOT package

Revision 1.40  2001/07/11 09:49:18  dobrek
-Updated to 3.1.27

Revision 1.39  2001/05/26 11:07:36  laro
- some typos fixed
- chkconfig moved to preun along with stop script call

Revision 1.38  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.37  2001/05/16 05:45:27  kloczek
- updated to 3.1.26.

Revision 1.36  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.35  2001/03/11 21:30:14  kloczek
- updated to 3.1.25.

Revision 1.34  2001/01/29 10:23:21  zagrodzki
- s!/rc.d!/etc/rc.d!
- s!%{_sysconfdir}/rc.d!/etc/rc.d!
- s!%{_sysconfdir}/sysconfig!/etc/sysconfig!
- release 2

Revision 1.33  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.32  2001/01/23 01:06:23  kloczek
- updated to 3.1.24.

Revision 1.31  2001/01/10 20:28:35  kloczek
- %%{_datadir}/pnp.ids include only on non-alpha arch.

Revision 1.30  2001/01/10 20:20:16  kloczek
- removed obsoleted no_xforms patch.

Revision 1.29  2001/01/10 19:56:32  kloczek
- updated to 3.1.23.

Revision 1.28  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.27  2000/11/19 21:59:02  kloczek
- updated to 3.1.22.

Revision 1.26  2000/10/26 10:09:54  kloczek
- added ExcludeArch for sparc, sparc64.

Revision 1.25  2000/10/26 10:01:26  kloczek
- release 2,
- added no_xforms patch for disable tring compile xforms stuffs,
- more %%{debug} changes.

Revision 1.24  2000/10/25 12:22:58  kloczek
- removed cardinfo subpackage (using xforms creates more problems than this
  worth),
- use new rpm automation.

Revision 1.23  2000/10/06 10:04:16  zagrodzki
- updated to 3.1.21

Revision 1.22  2000/09/12 15:50:13  kloczek
- adapterized.

Revision 1.21  2000/09/11 18:05:21  kravietz
- upgrade to 3.1.20

Revision 1.20  2000/08/07 14:03:08  dobrek
- updated to 3.1.19

Revision 1.19  2000/06/12 14:07:21  kloczek
- updated to 3.1.16,
- standarized %post/%postun scripts.

Revision 1.18  2000/06/09 15:24:20  baggins
- updated to 3.1.15

Revision 1.17  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/06/07 04:21:51  kloczek
- spec adapterized.

Revision 1.15  2000/05/15 15:42:16  baggins
- cleaned up %%install and %%files
- don't build modules
- spec ready

Revision 1.14  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.13  2000/04/20 14:26:18  baggins
- updated to 3.1.14
- fixed source URL

Revision 1.12  2000/04/18 00:26:04  bonkey
- add simple descriptions in cardinfo module to make specfile correct

Revision 1.11  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/29 22:54:18  zagrodzki
- adapterized
- removed unnecessary %attr
- %description -l pl
- separate package for cardinfo (requires X)
- buildprereq -> buildrequires
